import { fetchBase } from '@/api/doctor/doctorFetch'

// 新增高血压随访
export function addHypertensionForm(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-hypertension/save`, body: params, loading: true })
}
// 修改高血压随访
export function updateHypertensionForm(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-hypertension/update`, body: params, loading: true })
}
// 主键查询高血压随访信息
export function getHypertensionForm(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-hypertension/record`, body: params, loading: true })
}

// 新增糖尿病随访
export function addDiabetesForm(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-diabetes/save`, body: params, loading: true })
}
// 修改糖尿病随访
export function updateDiabetesForm(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-diabetes/update`, body: params, loading: true })
}
// 主键查询糖尿病随访信息
export function getDiabetesForm(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-diabetes/record`, body: params, loading: true })
}

// 新增冠心病随访
export function addCoronaryHeartDiseaseForm(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-coronary/save`, body: params, loading: true })
}
// 修改冠心病随访
export function updateCoronaryHeartDiseaseForm(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-coronary/update`, body: params, loading: true })
}
// 主键查询冠心病随访信息
export function getCoronaryHeartDiseaseForm(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-coronary/record`, body: params, loading: true })
}

// 新增脑卒中随访
export function addStrokeForm(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-stroke/save`, body: params, loading: true })
}
// 修改脑卒中随访
export function updateStrokeForm(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-stroke/update`, body: params, loading: true })
}
// 主键查询脑卒中随访信息
export function getStrokeForm(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-stroke/record`, body: params, loading: true })
}

// 新增慢阻肺随访
export function addCopdForm(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-pulmonary/save`, body: params, loading: true })
}
// 修改慢阻肺随访
export function updateCopdForm(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-pulmonary/update`, body: params, loading: true })
}
// 主键查询慢阻肺随访信息
export function getCopdForm(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-pulmonary/record`, body: params, loading: true })
}

// 新增慢性肾病随访
export function addChronicKidneyDiseaseForm(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-nephrosis/save`, body: params, loading: true })
}
// 修改慢性肾病随访
export function updateChronicKidneyDiseaseForm(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-nephrosis/update`, body: params, loading: true })
}
// 主键查询慢性肾病随访信息
export function getChronicKidneyDiseaseForm(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-nephrosis/record`, body: params, loading: true })
}

// 新增血脂异常随访
export function addDyslipidemiaForm(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-dyslipemia/save`, body: params, loading: true })
}
// 修改血脂异常随访
export function updateDyslipidemiaForm(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-dyslipemia/update`, body: params, loading: true })
}
// 主键查询血脂异常随访信息
export function getDyslipidemiaForm(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-dyslipemia/record`, body: params, loading: true })
}


// 查询专病随访详情
export function getSeparateFUDetail(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-record/specialized-detail`, body: params, loading: true })
}

// 获取辅助检查项目对码表
export function getInspectCode(diseaseType) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-inspect-item-special/query-list/${diseaseType}`, loading: true })
}

// 引用最近一次复筛数据-高血压
export function getScreenHypertensionLastTime(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-hypertension/reference-last-screen`, body: params, loading: true })
}
// 引用最近一次随访记录-高血压
export function getVisitHypertensionLastTime(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-hypertension/reference-last-time`, body: params, loading: true })
}
// 引用最近一次复筛数据-糖尿病
export function getScreenDiabetesLastTime(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-diabetes/reference-last-screen`, body: params, loading: true })
}
// 引用最近一次随访记录-糖尿病
export function getVisitDiabetesLastTime(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-diabetes/reference-last-time`, body: params, loading: true })
}
// 引用最近一次复筛数据-冠心病
export function getScreenCoronaryLastTime(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-coronary/reference-last-screen`, body: params, loading: true })
}
// 引用最近一次随访记录-冠心病
export function getVisitCoronaryLastTime(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-coronary/reference-last-time`, body: params, loading: true })
}
// 引用最近一次复筛数据-脑卒中
export function getScreenStrokeLastTime(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-stroke/reference-last-screen`, body: params, loading: 
        true })
}
// 引用最近一次随访记录-脑卒中
export function getVisitStrokeLastTime(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-stroke/reference-last-time`, body: params, loading: true })
}
// 引用最近一次复筛数据-慢阻肺
export function getScreenCopdLastTime(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-pulmonary/reference-last-screen`, body: params, loading: true })
}
// 引用最近一次随访记录-慢阻肺
export function getVisitCopdLastTime(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-pulmonary/reference-last-time`, body: params, loading: true })
}
// 引用最近一次复筛数据-慢性肾病
export function getScreenNephrosisLastTime(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-nephrosis/reference-last-screen`, body: params, loading: true })
}
// 引用最近一次随访记录-慢性肾病
export function getVisitNephrosisLastTime(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-nephrosis/reference-last-time`, body: params, loading: true })
}
// 引用最近一次复筛数据-血脂异常
export function getScreenDyslipemiaLastTime(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-dyslipemia/reference-last-screen`, body: params, loading: true })
}
// 引用最近一次随访记录-血脂异常
export function getVisitDyslipemiaLastTime(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-dyslipemia/reference-last-time`, body: params, loading: true })
}

// 药品列表
export function getDrugList(params) {
    return fetchBase({ url: `/chronic-admin/v1/base-info/phl-drug-list`, body: params })
}