import {fetchBase} from '@/api/doctor/doctorFetch'

// 查询最近工作记录
export function getWorkByPage(params, loading) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-workbench/lately-service`, body: params, loading })
}

// 查询待随访列表
export function getVisitByPage(params, loading) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-task/page`, body: params, loading })
}

// 待随访列表忽略
export function delVisit(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-task/delete`, body: params, loading: true })
}

// 模板 分页查询
export function getTemplateByPage(params) {
    return fetchBase({ url: `/tumour-admin/v1/template/page`, body: params, loading: true })
}

// 模板 主键查询
export function getTemplateDetail(params, loading = true) {
    return fetchBase({ url: `/tumour-admin/v1/template/query-id/${params.id}`, loading })
}

// 待接诊列表
export function getReceiveByPage(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-referral-task/page`, body: params })
}

// 待接诊列表 忽略
export function ignoreReceive(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-referral-task/update`, body: params, loading: true })
}

// 筛查高危记录表 初筛高危待复筛1 复筛高危待诊断2
export function getBeSecondScreenByPage(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-workbench/be-second-page`, body: params })
}

// 筛查高危记录表 初筛高危待复筛1 复筛高危待诊断2
export function getDiagnoseByPage(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-workbench/be-diagnose-page`, body: params })
}

// 待复筛和高危待诊断忽略
export function addIgnoreRecord(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-ignore-record/save`, body: params, loading: true })
}
